aboutsummaryrefslogtreecommitdiffstats
path: root/tests/rename-exists-remote/t
diff options
context:
space:
mode:
authorGuilhem Moulin <guilhem@fripost.org>2019-11-13 06:24:07 +0100
committerGuilhem Moulin <guilhem@fripost.org>2019-11-13 06:24:07 +0100
commitc6bbdd8aa697b2d42be1ac0839189da32d437a8f (patch)
treecd1b8d19d99557fbebe33344d0d23f6ac826da57 /tests/rename-exists-remote/t
parent87d947df1b837514a0f1efa3bc36b58088bd2564 (diff)
parentdac4ab1c9306bf2035bc1547d2ed27ab09850120 (diff)
Merge branch 'master' into debian
Diffstat (limited to 'tests/rename-exists-remote/t')
-rw-r--r--tests/rename-exists-remote/t13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/rename-exists-remote/t b/tests/rename-exists-remote/t
new file mode 100644
index 0000000..be16a12
--- /dev/null
+++ b/tests/rename-exists-remote/t
@@ -0,0 +1,13 @@
+doveadm -u "local" mailbox create "root.from" "root.from.child" "t.o"
+doveadm -u "remote" mailbox create "root\\from" "root\\from\\child" "t\\o"
+
+interimap_init
+check_mailbox_list
+
+# delete a mailbox on the local server, then try to use it as target for --rename
+doveadm -u "local" mailbox delete "t.o"
+
+! interimap --rename "root.from" "t.o" || error
+grep -Fx 'remote: ERROR: Mailbox t\o exists. Run `interimap --target=remote --delete t.o` to delete.' <"$STDERR" || remote
+
+# vim: set filetype=sh :